using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    ///  523
    /// </summary>
    [DataContract]
    public class WCS_Station523 : IStation523
    {
        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public AlarmEunm Alarm { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 1)]
        public short RES { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 2)]
        public StatusEunm Status { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 3)]
        public float RunTime { get; set; }
    }
}
